Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.trans
Class MfTransactionFactoryImpl

    java.lang.Object
      com.sun.mfwk.trans.MfTransactionFactoryImpl

All Implemented Interfaces:
  MfTransactionFactory

public class MfTransactionFactoryImpl
extends java.lang.Object
implements MfTransactionFactory

Implementation of the MfTransactionFactory interface

Constructor Summary
`MfTransactionFactoryImpl()`

Method Summary
`MfTranReport` | `newTranReport(MfTransactionDefinition definition, MfTranReport parentTrans)` Creates a new transaction report.
`MfTransaction` | `newTransaction(MfTransactionDefinition definition, MfTransaction parentTrans)` Creates a new transaction.
`MfTransactionDefinition` | `newTransactionDefinition(java.lang.String name, java.lang.String uri, MfTransactionMetrics transMetrics)` Creates a new transaction type.
`MfTransactionDefinition` | `newTransactionDefinition(java.lang.String name, java.lang.String uri, MfTransactionMetrics transMetrics, boolean hasComputingInfo)` Creates a new transaction type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfTransactionFactoryImpl

    public MfTransactionFactoryImpl()

Method Detail

### newTransactionDefinition

    public MfTransactionDefinition newTransactionDefinition(java.lang.String name,
                                                            java.lang.String uri,
                                                            MfTransactionMetrics transMetrics)

  Description copied from interface: `MfTransactionFactory`
  Creates a new transaction type.

  Specified by:
    `newTransactionDefinition` in interface `MfTransactionFactory`
  Parameters:
    `name` - name of the transaction type.
    `uri` - the related URI.
    `transMetrics` - the transaction metrics MBean.
  Returns:
    TransactionDefinition

### newTransactionDefinition

    public MfTransactionDefinition newTransactionDefinition(java.lang.String name,
                                                            java.lang.String uri,
                                                            MfTransactionMetrics transMetrics,
                                                            boolean hasComputingInfo)

  Description copied from interface: `MfTransactionFactory`
  Creates a new transaction type.

  Specified by:
    `newTransactionDefinition` in interface `MfTransactionFactory`
  Parameters:
    `name` - name of the transaction type.
    `uri` - the related URI.
    `transMetrics` - the transaction metrics MBean.
    `hasComputingInfo` - only valid for parent transactions: if true, the corresponding transaction has its own computing metrics.If false, the parent transaction is only an aggregation of a set of transactions. The default is true.
  Returns:
    TransactionDefinition

### newTransaction

    public MfTransaction newTransaction(MfTransactionDefinition definition,
                                        MfTransaction parentTrans)

  Description copied from interface: `MfTransactionFactory`
  Creates a new transaction.

  Specified by:
    `newTransaction` in interface `MfTransactionFactory`
  Parameters:
    `definition` - the related MfTransactionDefinition (ie transaction type).
    `parentTrans` - the parent transaction. May be null.
  Returns:
    Transaction

### newTranReport

    public MfTranReport newTranReport(MfTransactionDefinition definition,
                                      MfTranReport parentTrans)

  Description copied from interface: `MfTransactionFactory`
  Creates a new transaction report.

  Specified by:
    `newTranReport` in interface `MfTransactionFactory`
  Parameters:
    `definition` - the related MfTransactionDefinition (ie transaction type).
    `parentTrans` - the parent transaction. May be null.
  Returns:
    TranReport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD